> For the complete documentation index, see [llms.txt](https://docs.optty.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.optty.com/partner-onboarding-docs/onboarding-api/merchant-payment-method-configuration/get-merchant-provider-new.md).

# GET /merchant/provider/new

## GET /merchant/provider/new

> Get all new APM providers ---- \[auth scope:  merchant]

```json
{"openapi":"3.0.0","info":{"title":"Merchant API","version":"1.0"},"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"NewProvidersDto":{"type":"object","properties":{"id":{"type":"string","description":"The id of the APM provider."},"provider":{"type":"string","description":"The name of the APM provider."},"paymentType":{"type":"string","description":"The payment type of the APM provider."},"imageUrl":{"type":"string","description":"The url to the image of the APM provider."},"currencies":{"description":"Supported currencies","type":"array","items":{"type":"string"}},"friendlyName":{"type":"string","description":"Providers friendly name"},"description":{"type":"string","description":"description about provider"},"marketingName":{"type":"string","description":"Providers Marketing name"},"mpgsIdentifier":{"type":"string","description":"Identifier for MPGS"},"credentialsFields":{"type":"object","description":"Credential fields"},"credentialsSchema":{"type":"object","description":"Credential schema"}},"required":["id","provider","paymentType","imageUrl","currencies","friendlyName","description","marketingName","mpgsIdentifier","credentialsFields","credentialsSchema"]}}},"paths":{"/merchant/provider/new":{"get":{"operationId":"MerchantProviderController_getNewProviders","summary":"Get all new APM providers ---- [auth scope:  merchant]","deprecated":false,"parameters":[],"responses":{"200":{"description":"Returns a list of new APM providers","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NewProvidersDto"}}}}}},"tags":["merchant/provider"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.optty.com/partner-onboarding-docs/onboarding-api/merchant-payment-method-configuration/get-merchant-provider-new.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
